t=int(input())
for _ in range(t):
    n = int(input())
    a = list(map(int, input().split()))
    if n==4:
        res=[]
        mina=a.pop(a.index(min(a)))
        res.append(a.pop(a.index(max(a))))
        res.append(a.pop(a.index(min(a))))
        res.append(mina)
        res.append(a.pop(a.index(max(a))))
        if res[0]+res[2]>=2*res[1] and res[1]+res[3]>=2*res[2]:
            print("YES")
        else:
            print("NO")
    else:
        print("NO")

